Constants (Lucene 3.6.2 API)
Keywords: org.apache.lucene.util.Constants class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.util
Class Constants

    java.lang.Object
      org.apache.lucene.util.Constants

    public final class Constants

extends Object

Some useful constants.

Field Summary
`static boolean` | `JAVA_1_1` Deprecated. This constant is useless since Lucene is on Java 5
`static boolean` | `JAVA_1_2` Deprecated. This constant is useless since Lucene is on Java 5
`static boolean` | `JAVA_1_3` Deprecated. This constant is useless since Lucene is on Java 5
`static String` | `JAVA_VENDOR`
`static String` | `JAVA_VERSION` The value of `System.getProperty("java.version")`.``
`static boolean` | `JRE_IS_64BIT` True iff running on a 64bit JVM
`static boolean` | `JRE_IS_MINIMUM_JAVA6`
`static boolean` | `JRE_IS_MINIMUM_JAVA7`
`static String` | `JVM_NAME`
`static String` | `JVM_VENDOR` JVM vendor info.
`static String` | `JVM_VERSION`
`static boolean` | `LINUX` True iff running on Linux.
`static String` | `LUCENE_MAIN_VERSION`
`static String` | `LUCENE_VERSION`
`static boolean` | `MAC_OS_X` True iff running on Mac OS X
`static String` | `OS_ARCH`
`static String` | `OS_NAME` The value of `System.getProperty("os.name")`.``
`static String` | `OS_VERSION`
`static boolean` | `SUN_OS` True iff running on SunOS.
`static boolean` | `WINDOWS` True iff running on Windows.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JVM_VENDOR

    public static final String JVM_VENDOR

  JVM vendor info.

### JVM_VERSION

    public static final String JVM_VERSION

### JVM_NAME

    public static final String JVM_NAME

### JAVA_VERSION

    public static final String JAVA_VERSION

  The value of `System.getProperty("java.version")`.

  ``

### JAVA_1_1

    @Deprecated
    public static final boolean JAVA_1_1

  Deprecated. This constant is useless since Lucene is on Java 5
  True iff this is Java version 1.1.

### JAVA_1_2

    @Deprecated
    public static final boolean JAVA_1_2

  Deprecated. This constant is useless since Lucene is on Java 5
  True iff this is Java version 1.2.

### JAVA_1_3

    @Deprecated
    public static final boolean JAVA_1_3

  Deprecated. This constant is useless since Lucene is on Java 5
  True iff this is Java version 1.3.

### OS_NAME

    public static final String OS_NAME

  The value of `System.getProperty("os.name")`.

  ``

### LINUX

    public static final boolean LINUX

  True iff running on Linux.

### WINDOWS

    public static final boolean WINDOWS

  True iff running on Windows.

### SUN_OS

    public static final boolean SUN_OS

  True iff running on SunOS.

### MAC_OS_X

    public static final boolean MAC_OS_X

  True iff running on Mac OS X

### OS_ARCH

    public static final String OS_ARCH

### OS_VERSION

    public static final String OS_VERSION

### JAVA_VENDOR

    public static final String JAVA_VENDOR

### JRE_IS_MINIMUM_JAVA6

    public static final boolean JRE_IS_MINIMUM_JAVA6

### JRE_IS_MINIMUM_JAVA7

    public static final boolean JRE_IS_MINIMUM_JAVA7

### JRE_IS_64BIT

    public static final boolean JRE_IS_64BIT

  True iff running on a 64bit JVM

### LUCENE_MAIN_VERSION

    public static final String LUCENE_MAIN_VERSION

### LUCENE_VERSION

    public static final String LUCENE_VERSION

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD